मुख्य सामग्री पर जाएं
POST
/
projects
/
{projectId}
/
exports
/
local
Prepare a local export payload
curl --request POST \
  --url https://api.youka.io/api/v1/projects/{projectId}/exports/local \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resolution": "1080p",
  "quality": "average",
  "transparent": false,
  "stemVolumes": {},
  "playbackRate": 2.05,
  "toneFrequency": 1.005,
  "presetId": "<string>",
  "settingsOverride": {
    "displayLanguages": [
      "<string>"
    ]
  }
}
'
{
  "serveUrl": "<string>",
  "compositionId": "<string>",
  "compositionProps": {},
  "durationInSeconds": 123,
  "aspectRatio": "16:9",
  "resolution": "540p",
  "quality": "low",
  "transparent": true,
  "watermarked": true,
  "title": "<string>",
  "artists": [
    "<string>"
  ],
  "filename": "<string>"
}

प्राधिकरण

Authorization
string
header
आवश्यक

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

हेडर

Idempotency-Key
string

पथ पैरामीटर

projectId
string
आवश्यक

बॉडी

application/json
resolution
enum<string>
डिफ़ॉल्ट:1080p
आवश्यक
उपलब्ध विकल्प:
540p,
720p,
1080p
quality
enum<string>
डिफ़ॉल्ट:average
आवश्यक
उपलब्ध विकल्प:
low,
average,
high
transparent
boolean
डिफ़ॉल्ट:false
आवश्यक
stemVolumes
object
playbackRate
number
आवश्यक सीमा: 0.1 <= x <= 4
toneFrequency
number
आवश्यक सीमा: 0.01 <= x <= 2
presetId
string
settingsOverride
object

प्रतिक्रिया

200 - application/json

Resolved local export payload

serveUrl
string<uri>
आवश्यक
compositionId
string
आवश्यक
Minimum string length: 1
compositionProps
object
आवश्यक
durationInSeconds
number
आवश्यक
aspectRatio
enum<string>
आवश्यक
उपलब्ध विकल्प:
16:9,
9:16,
4:3,
1:1
resolution
enum<string>
आवश्यक
उपलब्ध विकल्प:
540p,
720p,
1080p
quality
enum<string>
आवश्यक
उपलब्ध विकल्प:
low,
average,
high
transparent
boolean
आवश्यक
watermarked
boolean
आवश्यक
title
string
आवश्यक
artists
string[]
आवश्यक
filename
string
आवश्यक
Minimum string length: 1